import DirectusAbstractStore from './directusAbstract.js'

/**
 *  Settings from directus_settings
 *
 *  @author Björn Hase <me@herr-hase.wtf>
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/HerrHase/super-fastify-directus.git
 *
 */
class SettingsStore extends DirectusAbstractStore {

    /**
     *  set name of endpoint
     *
     *  @param  {string} endpoint
     *
     */
    constructor() {
        super('directus_settings')
    }

    /**
     *  get settings from endpoint
     *
     *
     *  @return {object}
     *
     */
    find() {
        return this.items.readByQuery({
            fields: [
                'project_name',
                'project_descriptor',
                'project_url',
                'project_logo.id',
                'default_language'
            ]
        })
    }

}

export default SettingsStore